Subject: Re: [PATCH] status_printf_ln: Suppress false positive warnings of empty format string.

From: Stefan Beller <[email-masked]>
Date: Fri, 19 Jul 2013 18:04:28 +0200

> 
> Even if the " " variant is faster, it does not matter if its output
> is incorrect ;-)

Agreed.

> I think we discussed this already?  The conclusion was it is silly
> for GCC to warn on -Wformat-zero-length for user-defined function in
> the first place, IIRC.  func(other, args, fmt,...), when invoked as
> func(other, args, ""), may very well do something useful regardless
> of the formatting part based on other args.
> 

I am sorry, I did not pay attention enough to that specific topic. I
was just finding warnings on next and pu, so I wondered how to fix it.